Skip to main content
GET
/
legal_entities
TypeScript
const response: Promise<FireblocksResponse<ListLegalEntitiesResponse>> = fireblocks.compliance.listLegalEntities(complianceApiListLegalEntitiesRequest);
{
  "data": [
    {
      "id": "550e8400-e29b-41d4-a716-446655440000",
      "lei": "529900HNOAA1KXQJUQ27",
      "status": "PENDING",
      "isDefault": false,
      "travelRuleProviders": [
        "MY_OWN"
      ],
      "createdAt": "1700000000000",
      "updatedAt": "1700000000000",
      "travelRuleContactEmail": "compliance@example.com",
      "gleifData": {
        "lei": "529900HNOAA1KXQJUQ27",
        "legalName": "Example Corporation Ltd.",
        "legalAddressCountry": "US",
        "legalNameLanguage": "en",
        "otherNames": [
          {
            "name": "ExCorp",
            "language": "en"
          },
          {
            "name": "Example Corp",
            "language": "en"
          }
        ],
        "legalAddressRegion": "NY",
        "nextRenewalDate": "2025-12-31T00:00:00Z"
      }
    }
  ],
  "total": 5,
  "next": "eyJpZCI6IjEyMyJ9"
}

Documentation Index

Fetch the complete documentation index at: https://fireblocks-43c4b3ee-chore-add-cli.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

vaultAccountId
string<numeric>

The ID of the vault account. When provided, returns the legal entity associated with that vault account and pagination parameters are ignored.

pageCursor
string

Cursor string returned in next or prev of a previous response. Ignored when vaultAccountId is provided.

pageSize
integer
default:50

Maximum number of registrations to return. Ignored when vaultAccountId is provided.

Required range: 1 <= x <= 100

Response

A paginated list of legal entity registrations. When vaultAccountId is provided, data contains at most one item.

Paginated response containing a list of legal entity registrations

data
object[]
required

Legal entity registrations for the current page

total
integer

Total number of legal entity registrations (optional)

Example:

5

next
string

Cursor to pass as pageCursor to retrieve the next page

Example:

"eyJpZCI6IjEyMyJ9"